document.addEventListener('DOMContentLoaded', () => {
    document.querySelectorAll('.blue-button-icon').forEach(button => {
        button.addEventListener('click', function () {
            this.innerHTML = `<img src="${swpanel_ai_data.pluginUrl}../admin/assets/img/loader_points.svg" alt="Loading..." class="loader-img">`;
        });
    });
});
